kompendium
2.1.0
2.1.1 2.1.0 2.0.4 2.0.3 2.0.2 2.0.1

# SchemaHandler

interface SchemaHandler
Content copied to clipboard

## Functions

gatherSubTypes
Link copied to clipboard
open fun gatherSubTypes (type: KType ): List < KType >
Content copied to clipboard
handle
Link copied to clipboard
abstract fun handle (type: KType , clazz: KClass <*>, cache: SchemaMap )
Content copied to clipboard
postProcessSchema
Link copied to clipboard
open fun postProcessSchema (schema: ComponentSchema , slug: String ): ComponentSchema
Content copied to clipboard

## Inheritors

CollectionHandler
Link copied to clipboard
EnumHandler
Link copied to clipboard
MapHandler
Link copied to clipboard
ObjectHandler
Link copied to clipboard